Index: code/branches/cpp11_v3/src/modules/docking/DockingTarget.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/docking/DockingTarget.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/docking/DockingTarget.cc	(revision 11057)
@@ -34,5 +34,4 @@
 #include "DockingTarget.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 
@@ -49,12 +48,4 @@
     {
     }
-
-    void DockingTarget::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(DockingTarget, XMLPort, xmlelement, mode);
-
-        orxout(verbose, context::docking) << "DockingTarget with name '" << this->getName() << "' created.." << endl;
-    }
-
 }
 
Index: code/branches/cpp11_v3/src/modules/docking/DockingTarget.h
===================================================================
--- code/branches/cpp11_v3/src/modules/docking/DockingTarget.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/docking/DockingTarget.h	(revision 11057)
@@ -58,6 +58,4 @@
             virtual ~DockingTarget();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-
     };
 
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.cc	(revision 11057)
@@ -49,9 +49,4 @@
     }
 
-    void DodgeRaceCenterPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(DodgeRaceCenterPoint, XMLPort, xmlelement, mode);
-    }
-
     void DodgeRaceCenterPoint::checkGametype()
     {
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.h
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.h	(revision 11057)
@@ -50,6 +50,4 @@
             DodgeRaceCenterPoint(Context* context); //checks whether the gametype is actually DodgeRace.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-
         private:
             void checkGametype();
Index: code/branches/cpp11_v3/src/modules/invader/InvaderCenterPoint.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/invader/InvaderCenterPoint.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/invader/InvaderCenterPoint.cc	(revision 11057)
@@ -49,9 +49,4 @@
     }
 
-    void InvaderCenterPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(InvaderCenterPoint, XMLPort, xmlelement, mode);
-    }
-
     void InvaderCenterPoint::checkGametype()
     {
Index: code/branches/cpp11_v3/src/modules/invader/InvaderCenterPoint.h
===================================================================
--- code/branches/cpp11_v3/src/modules/invader/InvaderCenterPoint.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/invader/InvaderCenterPoint.h	(revision 11057)
@@ -47,6 +47,4 @@
             InvaderCenterPoint(Context* context); //checks whether the gametype is actually Invader.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-
         private:
             void checkGametype();
Index: code/branches/cpp11_v3/src/modules/jump/JumpBoots.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpBoots.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpBoots.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpBoots::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpBoots, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpBoots.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpBoots.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpBoots.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpBoots();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -52,9 +51,4 @@
     {
 
-    }
-
-    void JumpPlatformDisappear::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformDisappear, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h	(revision 11057)
@@ -47,5 +47,4 @@
             virtual ~JumpPlatformDisappear();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void setProperties(bool active);
             virtual bool isActive();
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -51,9 +50,4 @@
     }
 
-    void JumpPlatformFake::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformFake, XMLPort, xmlelement, mode);
-    }
-
     void JumpPlatformFake::tick(float dt)
     {
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h	(revision 11057)
@@ -47,5 +47,4 @@
             virtual ~JumpPlatformFake();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
     };
 }
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -52,9 +51,4 @@
     {
 
-    }
-
-    void JumpPlatformHMove::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformHMove, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.h	(revision 11057)
@@ -42,5 +42,4 @@
             virtual ~JumpPlatformHMove();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void setProperties(float leftBoundary, float rightBoundary, float speed);
             virtual void touchFigure() override;
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -53,10 +52,4 @@
     }
 
-    //xml port for loading sounds
-    void JumpPlatformStatic::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformStatic, XMLPort, xmlelement, mode);
-    }
-
     void JumpPlatformStatic::tick(float dt)
     {
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h	(revision 11057)
@@ -42,5 +42,4 @@
 
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             virtual void touchFigure() override;
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -52,9 +51,4 @@
     {
 
-    }
-
-    void JumpPlatformVMove::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformVMove, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpPlatformVMove();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void setProperties(float leftBoundary, float rightBoundary, float speed);
             virtual void touchFigure() override;
Index: code/branches/cpp11_v3/src/modules/jump/JumpProjectile.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpProjectile.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpProjectile.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 #include "JumpEnemy.h"
@@ -56,9 +55,4 @@
     {
 
-    }
-
-    void JumpProjectile::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpProjectile, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpProjectile.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpProjectile.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpProjectile.h	(revision 11057)
@@ -45,6 +45,4 @@
             virtual void tick(float dt) override;
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-
             void setFieldDimension(float width, float height)
                 { this->fieldWidth_ = width; this->fieldHeight_ = height; }
Index: code/branches/cpp11_v3/src/modules/jump/JumpPropeller.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPropeller.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPropeller.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpPropeller::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPropeller, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPropeller.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPropeller.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPropeller.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpPropeller();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpRocket.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpRocket.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpRocket.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpRocket::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpRocket, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpRocket.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpRocket.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpRocket.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpRocket();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpShield.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpShield.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpShield.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpShield::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpShield, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpShield.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpShield.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpShield.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpShield();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpSpring.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpSpring.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpSpring.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -58,9 +57,4 @@
     {
 
-    }
-
-    void JumpSpring::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpSpring, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpSpring.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpSpring.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpSpring.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpSpring();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void accelerateFigure();
             virtual void touchFigure() override;
Index: code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameBoard.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 11057)
@@ -40,6 +40,4 @@
 #include "graphics/BlinkingBillboard.h"
 
-#include "core/XMLPort.h"
-
 #include "Mini4Dgame.h"
 
@@ -71,11 +69,4 @@
         this->player_toggle_ = false;
         this->checkGametype();
-    }
-
-
-    //xml port for loading sounds
-    void Mini4DgameBoard::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(Mini4DgameBoard, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameBoard.h
===================================================================
--- code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameBoard.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameBoard.h	(revision 11057)
@@ -74,6 +74,4 @@
             //virtual ~Mini4DgameBoard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-
             bool isValidMove(const Mini4DgamePosition& move);
             void undoMove();
Index: code/branches/cpp11_v3/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/objects/triggers/Trigger.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/objects/triggers/Trigger.cc	(revision 11057)
@@ -37,5 +37,4 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "core/XMLPort.h"
 #include "core/command/ConsoleCommandIncludes.h"
 
@@ -86,13 +85,4 @@
     {
 
-    }
-
-    /**
-    @brief
-        Method for creating a Trigger object through XML.
-    */
-    void Trigger::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(Trigger, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/objects/triggers/Trigger.h
===================================================================
--- code/branches/cpp11_v3/src/modules/objects/triggers/Trigger.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/objects/triggers/Trigger.h	(revision 11057)
@@ -83,5 +83,4 @@
             virtual ~Trigger();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); // Method for creating a Trigger object through XML.
             virtual void tick(float dt);
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 11057)
@@ -29,7 +29,7 @@
 #include "HUDWeaponMode.h"
 
+#include "util/Convert.h"
+#include "util/StringUtils.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "util/Convert.h"
 #include "core/class/Super.h"
 
@@ -107,9 +107,4 @@
     }
 
-    void HUDWeaponMode::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(HUDWeaponMode, XMLPort, xmlelement, mode);
-    }
-
     void HUDWeaponMode::tick(float dt)
     {
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h	(revision 11057)
@@ -58,5 +58,4 @@
 
         virtual void tick(float dt);
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
         virtual void changedOwner();
         virtual void changedOverlayGroup();
Index: code/branches/cpp11_v3/src/modules/tetris/TetrisScore.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/tetris/TetrisScore.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/tetris/TetrisScore.cc	(revision 11057)
@@ -36,5 +36,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "util/Convert.h"
 
@@ -66,13 +65,4 @@
     TetrisScore::~TetrisScore()
     {
-    }
-
-    /**
-    @brief
-        Method to create a TetrisScore through XML.
-    */
-    void TetrisScore::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(TetrisScore, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/tetris/TetrisScore.h
===================================================================
--- code/branches/cpp11_v3/src/modules/tetris/TetrisScore.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/tetris/TetrisScore.h	(revision 11057)
@@ -61,5 +61,4 @@
 
             virtual void tick(float dt) override; //!< Creates and sets the caption to be displayed by the TetrisScore.
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void changedOwner() override; //!< Is called when the owner changes.
 
Index: code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseSelecter.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseSelecter.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseSelecter.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "graphics/Model.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void TowerDefenseSelecter::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(TowerDefenseSelecter, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseSelecter.h
===================================================================
--- code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseSelecter.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseSelecter.h	(revision 11057)
@@ -41,5 +41,4 @@
             TowerDefenseSelecter(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~TowerDefenseSelecter();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;         
             virtual void tick(float dt) override;            
             virtual void moveFrontBack(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.cc	(revision 11057)
@@ -34,5 +34,4 @@
 #include "FusionMunition.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -57,8 +56,3 @@
         this->reloadTime_ = 0.5f;
     }
-
-    void FusionMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(FusionMunition, XMLPort, xmlelement, mode);
-    }
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h	(revision 11057)
@@ -53,5 +53,4 @@
             FusionMunition(Context* context);
             virtual ~FusionMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.cc	(revision 11057)
@@ -7,5 +7,4 @@
 #include "GravityBombMunition.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -27,9 +26,4 @@
         this->reloadTime_ = 0.0f;
     }
-
-    void GravityBombMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(GravityBombMunition, XMLPort, xmlelement, mode);
-    }
 }
 
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h	(revision 11057)
@@ -28,5 +28,4 @@
             GravityBombMunition(Context* context);
             virtual ~GravityBombMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.cc	(revision 11057)
@@ -34,5 +34,4 @@
 #include "IceMunition.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -55,8 +54,3 @@
         this->reloadTime_ = 0.5f;
     }
-
-    void IceMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(IceMunition, XMLPort, xmlelement, mode);
-    }
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h	(revision 11057)
@@ -53,5 +53,4 @@
             IceMunition(Context* context);
             virtual ~IceMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.cc	(revision 11057)
@@ -34,5 +34,4 @@
 #include "LaserMunition.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -58,8 +57,3 @@
         this->reloadTime_ = 0.5f;
     }
-
-    void LaserMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(LaserMunition, XMLPort, xmlelement, mode);
-    }
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h	(revision 11057)
@@ -53,5 +53,4 @@
             LaserMunition(Context* context);
             virtual ~LaserMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.cc	(revision 11057)
@@ -34,5 +34,4 @@
 #include "LightningMunition.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -55,8 +54,3 @@
         this->reloadTime_ = 0.5f;    
     }
-
-    void LightningMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(LightningMunition, XMLPort, xmlelement, mode);
-    }
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h	(revision 11057)
@@ -53,5 +53,4 @@
             LightningMunition(Context* context);
             virtual ~LightningMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.cc	(revision 11057)
@@ -54,8 +54,3 @@
         this->reloadTime_ = 0.5f;
     }
-
-    void MineMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(MineMunition, XMLPort, xmlelement, mode);
-    }
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h	(revision 11057)
@@ -53,5 +53,4 @@
             MineMunition(Context* context);
             virtual ~MineMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.cc	(revision 11057)
@@ -34,5 +34,4 @@
 #include "RocketMunition.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -55,8 +54,3 @@
         this->reloadTime_ = 0.5f;
     }
-
-    void RocketMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(RocketMunition, XMLPort, xmlelement, mode);
-    }
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h	(revision 11057)
@@ -53,5 +53,4 @@
             RocketMunition(Context* context);
             virtual ~RocketMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.cc	(revision 11057)
@@ -34,5 +34,4 @@
 #include "SplitMunition.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -55,8 +54,3 @@
         this->reloadTime_ = 0.5f;
     }
-
-    void SplitMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(SplitMunition, XMLPort, xmlelement, mode);
-    }
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h	(revision 11057)
@@ -53,5 +53,4 @@
             SplitMunition(Context* context);
             virtual ~SplitMunition() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.cc	(revision 11057)
@@ -55,10 +55,4 @@
         this->actionpoints_.clear();
     } 
-
-    void DivisionController::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(DivisionController, XMLPort, xmlelement, mode);
-        
-    }
     void DivisionController::tick(float dt)
     {   
Index: code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.h	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.h	(revision 11057)
@@ -52,6 +52,4 @@
             //----[orxonox demanded functions]----
                 virtual void tick(float dt); 
-
-                virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);          
             //----[orxonox demanded functions]----
 
Index: code/branches/cpp11_v3/src/orxonox/controllers/FightingController.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/FightingController.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/FightingController.cc	(revision 11057)
@@ -27,5 +27,4 @@
  */
 #include "controllers/FightingController.h"
-#include "core/XMLPort.h"
 #include "util/Math.h"
 
@@ -56,8 +55,4 @@
     {
         
-    }
-    void FightingController::XMLPort( Element& xmlelement, XMLPort::Mode mode )
-    {
-        SUPER( FightingController, XMLPort, xmlelement, mode );
     }
     void FightingController::lookAtTarget(float dt)
Index: code/branches/cpp11_v3/src/orxonox/controllers/FightingController.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/FightingController.h	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/FightingController.h	(revision 11057)
@@ -50,6 +50,4 @@
             virtual ~FightingController();
             
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-       
             float squaredDistanceToTarget() const;
             bool isLookingAtTarget(float angle) const;
Index: code/branches/cpp11_v3/src/orxonox/controllers/SectionController.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/SectionController.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/SectionController.cc	(revision 11057)
@@ -55,8 +55,4 @@
         this->parsedActionpoints_.clear();
         this->actionpoints_.clear();
-    }
-    void SectionController::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(SectionController, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/orxonox/controllers/SectionController.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/SectionController.h	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/SectionController.h	(revision 11057)
@@ -51,6 +51,4 @@
             //----[orxonox demanded functions]----
                 virtual void tick(float dt); 
-                
-                virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             //----[/orxonox demanded functions]----
             
Index: code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.cc	(revision 11057)
@@ -55,9 +55,4 @@
     }
   
-    void WingmanController::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(WingmanController, XMLPort, xmlelement, mode);
-    }
-    
     //----in tick, move (or look) and shoot----
     void WingmanController::tick(float dt)
Index: code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.h	(revision 11054)
+++ code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.h	(revision 11057)
@@ -51,6 +51,4 @@
             
             //----[orxonox demanded functions]----
-                virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
                 virtual void tick(float dt); 
                 virtual bool hasWingman()
